{
  num: -21019,
  accuracy: true,
  basePower: 185,
  category: "Special",
  isNonstandard: "Past",
  name: "A Thousand Moons",
  pp: 1,
  priority: 0,
  flags: { protect: 1, mirror: 1 },
  isZ: "mewrainiumz",

  onAfterMoveSecondarySelf(source, target, move) {
    const hazards = [
      "spikes",
      "toxicspikes",
      "stealthrock",
      "stickyweb",
      "gmaxsteelsurge",
      "sharpsteel"
    ];

    for (const side of [source.side, target?.side]) {
      if (!side) continue;
      for (const hazard of hazards) {
        if (side.removeSideCondition(hazard)) {
          this.add("-sideend", side, this.dex.conditions.get(hazard).name, "[from] move: A Thousand Moons");
        }
      }
    }
  },

  secondary: null,
  target: "normal",
  type: "Dark",
  contestType: "Beautiful"
}
